{% extends "base.html" %}

{% block content %}
<h3>Tous les utilisateurs</h3>
<div style="vertical-align: middle; display: inline;">
  {% if "all" in request.GET %}
    <a href="{% url "user-banking-information-list" %}" style="float-right"><button>Utilisateurs non-validés</button></a>
    <spacer type="vertical" align="center" />
    <button disabled>Tous les utilisateurs</button disabled>
  {% else %}
    <button disabled>Utilisateurs non-validés</button disabled>
    <spacer type="vertical" align="center" />
    <a href="{% url "user-banking-information-list" %}?all" style="float-right"><button>Toutes les utilisateurs</button></a>
  {% endif %}
</div>
<table>
  <thead>
    <tr>
      <th>Nom</th>
      <th>Status</th>
      <th>IBAN</th>
      <th>BIC</th>
    </tr>
  </thead>
  <tbody>
    {% for object in object_list %}
    <tr>
      <td><a href="{% url "user-banking-information-detail" object.pk %}">{{ object.user.first_name }} {{ object.user.last_name }}</a></td>
      <td>{{ object.validated | yesno:"Validé,Non validé" }}</td>
      <td>{% if object.iban %}{{ object.iban }}{% else %}Manquant{% endif %}</td>
      <td>{% if object.bic %}{{ object.bic }}{% else %}Manquant{% endif %}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
{% endblock %}
